;InnoSetupVersion=4.2.6

[Setup]
AppName=KC Softwares VideoToolBox
AppVerName=KC Softwares VideoToolBox
AppId=KC Softwares VideoToolBox
AppPublisher=KC Softwares
AppPublisherURL=http://www.kcsoftwares.com
DefaultDirName={pf}\KC Softwares\VideoToolBox
DefaultGroupName=KC Softwares\VideoToolBox
OutputBaseFilename=videotoolbox
Compression=lzma
PrivilegesRequired=none
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\VideoToolBox.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\codecs.ini"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\changelog.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\AVT_00000403.SPK"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\AVT_00000404.SPK"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\AVT_00000405.SPK"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\AVT_00000406.SPK"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\AVT_00000407.SPK"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\AVT_00000408.SPK"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\AVT_00000409.SPK"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\AVT_0000040C.SPK"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\AVT_0000040E.SPK"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\AVT_00000410.SPK"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\AVT_00000413.SPK"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\AVT_00000414.SPK"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\AVT_00000415.SPK"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\AVT_0000041A.SPK"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\AVT_0000041B.SPK"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\AVT_00000421.SPK"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\AVT_00000422.SPK"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\AVT_00000425.SPK"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\AVT_00000426.SPK"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\AVT_00000456.SPK"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\AVT_0000081A.SPK"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\AVT_00000C0A.SPK"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\AVT_ORIGINAL.SPK"; DestDir: "{app}"; Flags: ignoreversion 

[Run]
Filename: "{app}\VideoToolBox.exe"; Parameters: "register"; Tasks: contextmenu; 

[UninstallRun]
Filename: "{app}\VideoToolBox.exe"; Parameters: "unregister"; 

[Icons]
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\VideoToolbox"; Filename: "{app}\VideoToolBox.exe"; Tasks: quicklaunchicon; 
Name: "{userdesktop}\VideoToolBox"; Filename: "{app}\VideoToolBox.exe"; WorkingDir: "{app}"; IconFilename: "{app}\VideoToolBox.exe"; Tasks: desktopicon; 
Name: "{group}\VideoToolBox"; Filename: "{app}\VideoToolBox.exe"; WorkingDir: "{app}"; IconFilename: "{app}\VideoToolBox.exe"; Tasks: startmenuicon; 
Name: "{group}\Uninstall"; Filename: "{uninstallexe}"; WorkingDir: "{app}"; Tasks: startmenuicon; 

[Tasks]
Name: "desktopicon"; Description: "&Desktop Icon"; GroupDescription: "Icons:"; 
Name: "startmenuicon"; Description: "&Start Menu Group"; GroupDescription: "Icons:"; 
Name: "quicklaunchicon"; Description: "&Quick Launch Icon"; GroupDescription: "Icons:"; 
Name: "contextmenu"; Description: "Add 'Open With VideoToolbox' &Context Menu Item for supported files"; GroupDescription: "Menu:"; 

[UninstallDelete]
Type: filesandordirs; Name: "{app}\*.*"; 
Type: filesandordirs; Name: "{group}\*.*"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
